org.mariadb.jdbc.internal.packet.send

## Class SendTextQueryPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.send.SendTextQueryPacket

All Implemented Interfaces:
  InterfaceSendPacket

    public class SendTextQueryPacket
    extends Object
    implements InterfaceSendPacket

### Constructor Summary

Constructors
Constructor and Description
`SendTextQueryPacket(List<Query> queries, boolean isRewritable, int rewriteOffset)` Initialize data.
`SendTextQueryPacket(Query query)` Initialize datas.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `send(OutputStream stream)` Send queries to server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendTextQueryPacket

    public SendTextQueryPacket(List<Query> queries,
                               boolean isRewritable,
                               int rewriteOffset)

Initialize data.

Parameters:
  `queries` - list of queries to send to server
  `isRewritable` - are queries rewritable.
  `rewriteOffset` - initial common offset

#### SendTextQueryPacket

    public SendTextQueryPacket(Query query)

Initialize datas.

Parameters:
  `query` - query to send to server.

### Method Detail

#### send

    public int send(OutputStream stream)
             throws IOException,
                    QueryException

Send queries to server.

Specified by:
  `send` in interface `InterfaceSendPacket`
Parameters:
  `stream` - write socket to server
Returns:
  number of send queries
Throws:
  `IOException` - if connection error occur
  `QueryException` - when query rewrite error.